classification
Title: Segmentation fault
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: eric.smith, mechatronickuldeep, zach.ware
Priority: normal Keywords:

Created on 2021-06-07 08:12 by mechatronickuldeep, last changed 2021-06-07 16:04 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
segment_fault.png mechatronickuldeep, 2021-06-07 08:12
alert_emailer.py mechatronickuldeep, 2021-06-07 09:50
alert_emailer.py mechatronickuldeep, 2021-06-07 09:51
Messages (9)
msg395251 - (view) Author: Kuldeep Daksh (mechatronickuldeep) Date: 2021-06-07 08:12
I am getting Segmentation fault when i run server.starttls() method.
msg395252 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2021-06-07 08:50
Python 3.6 is no longer supported. Please try to reproduce this with python 3.8 or 3.9.

Without seeing the code that causes the failure, it's not possible for us to provide any help. Please try to reproduce the code with the smallest possible example and include the code here.

Please do not post images, as they make it impossible for us to copy and paste from the file you upload. They also make it difficult for visually impaired people to read them.
msg395253 - (view) Author: Kuldeep Daksh (mechatronickuldeep) Date: 2021-06-07 09:00
I am not getting this error when I run same code in other window. I am not
able to get why this is happening.

On Mon, Jun 7, 2021, 14:20 Eric V. Smith <report@bugs.python.org> wrote:

>
> Eric V. Smith <eric@trueblade.com> added the comment:
>
> Python 3.6 is no longer supported. Please try to reproduce this with
> python 3.8 or 3.9.
>
> Without seeing the code that causes the failure, it's not possible for us
> to provide any help. Please try to reproduce the code with the smallest
> possible example and include the code here.
>
> Please do not post images, as they make it impossible for us to copy and
> paste from the file you upload. They also make it difficult for visually
> impaired people to read them.
>
> ----------
> nosy: +eric.smith
> status: open -> pending
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue44333>
> _______________________________________
>
msg395254 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2021-06-07 09:12
If you can't provide any more information, we can't help you and I'll have to close this issue.
msg395255 - (view) Author: Kuldeep Daksh (mechatronickuldeep) Date: 2021-06-07 09:14
I am having lunch right now.after lunch I will give you the information.

On Mon, Jun 7, 2021, 14:42 Eric V. Smith <report@bugs.python.org> wrote:

>
> Eric V. Smith <eric@trueblade.com> added the comment:
>
> If you can't provide any more information, we can't help you and I'll have
> to close this issue.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue44333>
> _______________________________________
>
msg395256 - (view) Author: Kuldeep Daksh (mechatronickuldeep) Date: 2021-06-07 09:50
I run same code on different window with python3.6. at other place smtp
working in a right way but as I run it in my project its still giving the
error. please find the attachment of my code.

On Mon, 7 Jun 2021 at 14:44, Kuldeep Daksh <report@bugs.python.org> wrote:

>
> Kuldeep Daksh <mechatronickuldeep@gmail.com> added the comment:
>
> I am having lunch right now.after lunch I will give you the information.
>
> On Mon, Jun 7, 2021, 14:42 Eric V. Smith <report@bugs.python.org> wrote:
>
> >
> > Eric V. Smith <eric@trueblade.com> added the comment:
> >
> > If you can't provide any more information, we can't help you and I'll
> have
> > to close this issue.
> >
> > ----------
> >
> > _______________________________________
> > Python tracker <report@bugs.python.org>
> > <https://bugs.python.org/issue44333>
> > _______________________________________
> >
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue44333>
> _______________________________________
>
msg395257 - (view) Author: Kuldeep Daksh (mechatronickuldeep) Date: 2021-06-07 09:51
Please ignore previous attachment and find new one.

On Mon, 7 Jun 2021 at 15:20, Kuldeep Daksh <mechatronickuldeep@gmail.com>
wrote:

> I run same code on different window with python3.6. at other place smtp
> working in a right way but as I run it in my project its still giving the
> error. please find the attachment of my code.
>
> On Mon, 7 Jun 2021 at 14:44, Kuldeep Daksh <report@bugs.python.org> wrote:
>
>>
>> Kuldeep Daksh <mechatronickuldeep@gmail.com> added the comment:
>>
>> I am having lunch right now.after lunch I will give you the information.
>>
>> On Mon, Jun 7, 2021, 14:42 Eric V. Smith <report@bugs.python.org> wrote:
>>
>> >
>> > Eric V. Smith <eric@trueblade.com> added the comment:
>> >
>> > If you can't provide any more information, we can't help you and I'll
>> have
>> > to close this issue.
>> >
>> > ----------
>> >
>> > _______________________________________
>> > Python tracker <report@bugs.python.org>
>> > <https://bugs.python.org/issue44333>
>> > _______________________________________
>> >
>>
>> ----------
>>
>> _______________________________________
>> Python tracker <report@bugs.python.org>
>> <https://bugs.python.org/issue44333>
>> _______________________________________
>>
>
msg395264 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2021-06-07 12:58
The code you've attached doesn't generate the error you provided.
msg395266 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-06-07 16:04
Your examples appear to use code from outside the standard library, some of which may include C code that will happily segfault your process well outside of Python's control.  You'll need to reduce your problem to the smallest possible reproducer (100 lines or less is almost always possible) using no code from outside of the standard library.  If you can do so, please reopen this issue with your small reproducer.  Until then, though, I'm closing the issue as probably third-party.
History
Date User Action Args
2021-06-07 16:04:11zach.waresetstatus: open -> closed

nosy: + zach.ware
messages: + msg395266

resolution: third party
stage: resolved
2021-06-07 12:58:09eric.smithsetmessages: + msg395264
2021-06-07 09:51:46mechatronickuldeepsetfiles: + alert_emailer.py

messages: + msg395257
2021-06-07 09:50:39mechatronickuldeepsetfiles: + alert_emailer.py

messages: + msg395256
2021-06-07 09:14:17mechatronickuldeepsetmessages: + msg395255
2021-06-07 09:12:05eric.smithsetmessages: + msg395254
2021-06-07 09:00:48mechatronickuldeepsetstatus: pending -> open

messages: + msg395253
2021-06-07 08:50:36eric.smithsetstatus: open -> pending
nosy: + eric.smith
messages: + msg395252

2021-06-07 08:12:07mechatronickuldeepcreate